CVE-2018-1000021

2018-02-05T05:19:29
ID RH:CVE-2018-1000021
Type redhatcve
Reporter redhat.com
Modified 2020-08-17T21:11:07

Description

It was found that the Git client printed server-sent ANSI escape codes to the terminal without any sanitization, leading to execution of arbitrary escape sequences in the terminal emulator. Exploitation of this flaw by a MitM attacker could potentially result in code execution, arbitrary file writes, or other attacks under highly specific circumstances dependent on the usage of a vulnerable terminal emulator by the user.